For the complete documentation index, see llms.txt. This page is also available as Markdown.

Workflow Definitions

Add asset type assignment rule.

post

Adds an asset type assignment rule to the workflow definition with the specified ID.

Authorizations
AuthorizationstringRequired
Path parameters
workflowDefinitionIdstring · uuidRequired

The ID of the workflow definition.

Body

The request describing assignment rule to be added.

assetTypeIdstring · uuidRequired

The ID of the asset type the added rule should refer to.

domainIdstring · uuidOptional

The ID of the domain the assignment rule should apply for.

communityIdstring · uuidOptional

The ID of the community the assignment rule should apply for.

statusIdstring · uuidOptional

The ID of the status the assignment rule should apply for.

exactResourceTypeMatchbooleanOptional

When true, the workflow can only be started for an asset if its type matches exactly the asset type defined in this rule. Child asset types are excluded.

Responses
201

Asset type assignment rule successfully added.

application/json

An assignment rule for workflow definitions which apply to assets. Is used to limit the scope of assets to which given workflow definition applies to.

idstring · uuidRequired

The id of the represented object (entity).

exactResourceTypeMatchbooleanOptional

When true, the workflow can only be started for an asset if its type matches exactly the asset type defined in this rule. Child asset types are excluded.

post/workflowDefinitions/{workflowDefinitionId}/assetTypeAssignmentRules

Add domain type assignment rule.

post

Adds a domain type assignment rule to the workflow definition with the specified ID.

Authorizations
AuthorizationstringRequired
Path parameters
workflowDefinitionIdstring · uuidRequired

The ID of the workflow definition.

Body

The request describing assignment rule to be added.

domainTypeIdstring · uuidRequired

The ID of the domain type the added rule should refer to.

communityIdstring · uuidOptional

The ID of the community the assignment rule should apply for.

exactResourceTypeMatchbooleanOptional

When true, the workflow can only be started for a domain if its type matches exactly the domain type defined in this rule. Child domain types are excluded.

Responses
201

Domain type assignment rule successfully added.

application/json

An assignment rule for workflow definitions which apply to assets. Is used to limit the scope of assets to which given workflow definition applies to.

idstring · uuidRequired

The id of the represented object (entity).

exactResourceTypeMatchbooleanOptional

When true, the workflow can only be started for an asset if its type matches exactly the asset type defined in this rule. Child asset types are excluded.

post/workflowDefinitions/{workflowDefinitionId}/domainTypeAssignmentRules
201

Domain type assignment rule successfully added.

Change asset type assignment rule.

patch

Modifies the asset type assignment rule with the specified ID of the workflow definition with the specified ID.

Only properties that are specified in this request and have not null values are updated.

All other properties are ignored.

Authorizations
AuthorizationstringRequired
Path parameters
workflowDefinitionIdstring · uuidRequired

The ID of the workflow definition.

ruleIdstring · uuidRequired

The ID of the assignment rule to be changed.

Body

Parameters for the assignment rule to be changed.

assetTypeIdstring · uuidRequired

The ID of the asset type the changed rule should refer to.

domainIdstring · uuidOptional

The ID of the domain the assignment rule should apply for.

communityIdstring · uuidOptional

The ID of the community the assignment rule should apply for.

statusIdstring · uuidOptional

The ID of the (Asset Type) status the assignment rule should apply for.

exactResourceTypeMatchbooleanOptional

When true, the workflow can only be started for an asset if its type matches exactly the asset type defined in this rule. Child asset types are excluded.

Responses
200

The asset type assignment rule has been successfully updated.

application/json

An assignment rule for workflow definitions which apply to assets. Is used to limit the scope of assets to which given workflow definition applies to.

idstring · uuidRequired

The id of the represented object (entity).

exactResourceTypeMatchbooleanOptional

When true, the workflow can only be started for an asset if its type matches exactly the asset type defined in this rule. Child asset types are excluded.

patch/workflowDefinitions/{workflowDefinitionId}/assetTypeAssignmentRules/{ruleId}

Change domain type assignment rule.

patch

Modifies the domain type assignment rule with the specified ID of the workflow definition with the specified ID.

Only properties that are specified in this request and have not null values are updated.

All other properties are ignored.

Authorizations
AuthorizationstringRequired
Path parameters
workflowDefinitionIdstring · uuidRequired

The ID of the workflow definition.

ruleIdstring · uuidRequired

The ID of the assignment rule to be changed.

Body

Parameters for the assignment rule to be changed.

domainTypeIdstring · uuidRequired

The ID of the domain type the changed rule should refer to.

communityIdstring · uuidOptional

The ID of the community the assignment rule should apply for.

exactResourceTypeMatchbooleanOptional

When true, the workflow can only be started for a domain if its type matches exactly the domain type defined in this rule. Child domain types are excluded.

Responses
200

The domain type assignment rule has been successfully updated.

application/json

An assignment rule for workflow definitions which apply to assets. Is used to limit the scope of assets to which given workflow definition applies to.

idstring · uuidRequired

The id of the represented object (entity).

exactResourceTypeMatchbooleanOptional

When true, the workflow can only be started for an asset if its type matches exactly the asset type defined in this rule. Child asset types are excluded.

patch/workflowDefinitions/{workflowDefinitionId}/domainTypeAssignmentRules/{ruleId}

Get workflow definition.

get

Returns the workflow definition with the specified ID.

Authorizations
AuthorizationstringRequired
Path parameters
workflowDefinitionIdstring · uuidRequired

The ID of the workflow definition.

Responses
200

The workflow definition successfully found.

application/json

Definition of a workflow. It contains the workflow logic, code, configuration and is usually represented by a diagram or a .bpmn file.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
processIdstringOptional

The id that uniquely identifies a workflow definition in the application.

It is present in the BPMN notation in the ID property of the '<process..' tag. Deploying a BPMN in DGC creates a new version if a process with the same ID already exists.

startLabelstringOptional

The label used for starting this workflow.

formRequiredbooleanOptional

Whether the start event for this workflow requires user interaction through a form or not.

startFormKeyAvailablebooleanOptionalDeprecated

This field will be removed in the future. Please, use 'startFormJsonModelAvailable' to recognize if start form model is available.

startFormJsonModelAvailablebooleanOptional

Whether the workflow has the start form json model available or not. If true, then the external form definition for this task is needed to render the task.

enabledbooleanOptional

Whether workflow is enabled or not.

A workflow has to be enabled for a user to be able to start a workflow. A workflow is enabled if it's status is put on the status 'enabled'

businessItemResourceTypestring · enumOptionalDeprecated

The type of business item that the workflow can refer to.This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the WorkflowBusinessItemType enum with a String. For new types of resources that are supported by workflows, businessItemResourceType will be GLOBAL. Please use the businessItemDiscriminator property instead.

Possible values:
businessItemDiscriminatorstringOptional

The resource discriminator that the workflow can refer to. The value can be one of : ASSET, DOMAIN, COMMUNITY, USER or GLOBAL

Example: COMMUNITY
exclusivitystring · enumOptional

The exclusivity of this workflow. This determines how many times a workflow can be started for a specific resource.

Possible values:
guestUserAccessiblebooleanOptional

Whether this workflow definition is guest user accessible.

registeredUserAccessiblebooleanOptional

Whether the workflow definition is accessible by any registered user.

candidateUserCheckEnabledbooleanOptional

Whether the candidate user check for this workflow is enabled.

globalCreatebooleanOptional

Whether the workflow is accessible from the global create menu.

get/workflowDefinitions/{workflowDefinitionId}

Remove workflow definition.

delete

Removes the workflow definition with the specified ID. The workflow definition will be completely removed from the application, including any history.

Authorizations
AuthorizationstringRequired
Path parameters
workflowDefinitionIdstring · uuidRequired

The ID of the workflow definition.

Responses
204

The workflow definition has been successfully removed.

No content

delete/workflowDefinitions/{workflowDefinitionId}

No content

Change workflow definition.

patch

Modifies the workflow definition with the specified ID.

Only properties that are specified in this request and have not null values are updated.

All other properties are ignored.

Authorizations
AuthorizationstringRequired
Path parameters
workflowDefinitionIdstring · uuidRequired

The ID of the workflow definition.

Body

Parameters for the workflow definition to be changed.

namestring · min: 1 · max: 2000Optional

The name of the workflow definition.

descriptionstringOptional

The new description for the workflow definition.

businessItemResourceTypestring · enumOptional

The type of the business item corresponding to the workflow.

Possible values:
exclusivitystring · enumOptional

Defines the number of times a resource workflow is able to be start.

Possible values:
guestUserAccessiblebooleanOptional
registeredUserAccessiblebooleanOptional

Whether the workflow should be accessible by the registered user.

candidateUserCheckDisabledbooleanOptional

Whether the candidate user check for the workflow should be disabled.

candidateUserCheckEnabledbooleanOptional

Whether the candidate user check for the workflow should be enabled.

globalCreatebooleanOptional

Whether the workflow is accessible from the global create menu.

enablebooleanOptional

Whether the workflow definition should be enabled.

startLabelstringOptional

The start label of the workflow.

startRoleIdsstring · uuid[]Optional

The list of IDs identifying the roles allowing to start the workflow.

stopRoleIdsstring · uuid[]Optional

The list of IDs identifying the roles allowing to stop the workflow.

reassignRoleIdsstring · uuid[]Optional

The list of IDs identifying the roles allowing to reassign the workflow.

Responses
200

The workflow definition has been successfully updated.

application/json

Definition of a workflow. It contains the workflow logic, code, configuration and is usually represented by a diagram or a .bpmn file.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
processIdstringOptional

The id that uniquely identifies a workflow definition in the application.

It is present in the BPMN notation in the ID property of the '<process..' tag. Deploying a BPMN in DGC creates a new version if a process with the same ID already exists.

startLabelstringOptional

The label used for starting this workflow.

formRequiredbooleanOptional

Whether the start event for this workflow requires user interaction through a form or not.

startFormKeyAvailablebooleanOptionalDeprecated

This field will be removed in the future. Please, use 'startFormJsonModelAvailable' to recognize if start form model is available.

startFormJsonModelAvailablebooleanOptional

Whether the workflow has the start form json model available or not. If true, then the external form definition for this task is needed to render the task.

enabledbooleanOptional

Whether workflow is enabled or not.

A workflow has to be enabled for a user to be able to start a workflow. A workflow is enabled if it's status is put on the status 'enabled'

businessItemResourceTypestring · enumOptionalDeprecated

The type of business item that the workflow can refer to.This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the WorkflowBusinessItemType enum with a String. For new types of resources that are supported by workflows, businessItemResourceType will be GLOBAL. Please use the businessItemDiscriminator property instead.

Possible values:
businessItemDiscriminatorstringOptional

The resource discriminator that the workflow can refer to. The value can be one of : ASSET, DOMAIN, COMMUNITY, USER or GLOBAL

Example: COMMUNITY
exclusivitystring · enumOptional

The exclusivity of this workflow. This determines how many times a workflow can be started for a specific resource.

Possible values:
guestUserAccessiblebooleanOptional

Whether this workflow definition is guest user accessible.

registeredUserAccessiblebooleanOptional

Whether the workflow definition is accessible by any registered user.

candidateUserCheckEnabledbooleanOptional

Whether the candidate user check for this workflow is enabled.

globalCreatebooleanOptional

Whether the workflow is accessible from the global create menu.

patch/workflowDefinitions/{workflowDefinitionId}

Find workflow definitions.

get

Finds the workflow definitions matching the criteria described in the request object. By default, the result contains up to 1000 workflow definitions.

Authorizations
AuthorizationstringRequired
Query parameters
offsetinteger · int32Optional

The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.

Default: 0
limitinteger · int32Optional

The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.

Default: 0
countLimitinteger · int32Optional

Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped

Default: -1
assetIdstring · uuid[]Optional

The list of the IDs of business items (assets) for which the workflow definitions should be found.

domainIdstring · uuid[]Optional

The list of the IDs of business items (domains) for which the workflow definitions should be found.

communityIdstring · uuid[]Optional

The list of the IDs of business items (communities) for which the workflow definitions should be found.

enabledbooleanOptional

Whether the found workflow definitions should be enabled.

globalbooleanOptional

Whether the found workflow definitions should be global.

definitionIdPhrasestringOptional

The ID (could be partial) of workflow definition.

namestringOptional

The name (could be partial) of the workflow definition to search for.

sortOrderstring · enumOptional

The sorting order.

Default: ASCPossible values:
sortFieldstring · enumOptional

The field on which the results are sorted.

Default: NAMEPossible values:
descriptionstringOptional

The description (could be partial) of the workflow definition to search for.

guardrailsValidationResultstring · enumOptional

The result of the guardrails validation of this workflow definition

Possible values:
Responses
200

The paged response with found workflow definitions.

application/json
totalinteger · int64Optional

The total number of results.

Example: 1000
offsetinteger · int64Optional

The offset for the results.

Example: 10
limitinteger · int64Optional

The maximum number of results to be returned.

Example: 100
get/workflowDefinitions

Deploy workflow definition.

post

Deploys workflow definition (the business process and resources) using the specified request.

The input stream can represent a single file(e.g: .bpmn20.xml or .bpmn) or an archive file (e.g: .zip or .bar). It is not allowed to deploy a resource containing more than one process definition.

The file name must have the correct file extension, matching the one of the provided file input stream.

Authorizations
AuthorizationstringRequired
Body
filestring · binaryRequired

The file with described workflow definition.

fileNamestringRequired

The name of the file.

Responses
201

The workflow definition has been deployed successfully.

application/json

Definition of a workflow. It contains the workflow logic, code, configuration and is usually represented by a diagram or a .bpmn file.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
processIdstringOptional

The id that uniquely identifies a workflow definition in the application.

It is present in the BPMN notation in the ID property of the '<process..' tag. Deploying a BPMN in DGC creates a new version if a process with the same ID already exists.

startLabelstringOptional

The label used for starting this workflow.

formRequiredbooleanOptional

Whether the start event for this workflow requires user interaction through a form or not.

startFormKeyAvailablebooleanOptionalDeprecated

This field will be removed in the future. Please, use 'startFormJsonModelAvailable' to recognize if start form model is available.

startFormJsonModelAvailablebooleanOptional

Whether the workflow has the start form json model available or not. If true, then the external form definition for this task is needed to render the task.

enabledbooleanOptional

Whether workflow is enabled or not.

A workflow has to be enabled for a user to be able to start a workflow. A workflow is enabled if it's status is put on the status 'enabled'

businessItemResourceTypestring · enumOptionalDeprecated

The type of business item that the workflow can refer to.This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the WorkflowBusinessItemType enum with a String. For new types of resources that are supported by workflows, businessItemResourceType will be GLOBAL. Please use the businessItemDiscriminator property instead.

Possible values:
businessItemDiscriminatorstringOptional

The resource discriminator that the workflow can refer to. The value can be one of : ASSET, DOMAIN, COMMUNITY, USER or GLOBAL

Example: COMMUNITY
exclusivitystring · enumOptional

The exclusivity of this workflow. This determines how many times a workflow can be started for a specific resource.

Possible values:
guestUserAccessiblebooleanOptional

Whether this workflow definition is guest user accessible.

registeredUserAccessiblebooleanOptional

Whether the workflow definition is accessible by any registered user.

candidateUserCheckEnabledbooleanOptional

Whether the candidate user check for this workflow is enabled.

globalCreatebooleanOptional

Whether the workflow is accessible from the global create menu.

post/workflowDefinitions

Get configuration start form data.

get

Returns the task configuration start form data of the workflow definition with the specified ID.

Authorizations
AuthorizationstringRequired
Path parameters
workflowDefinitionIdstring · uuidRequired

The ID of the workflow definition that should be used for the form data retrieval.

Query parameters
formPropertyTypestringOptional

The form type to be returned.

Responses
200

The configuration start form data for workflow definition.

application/json
formKeystringOptional

The form key.

processIdstringOptional
get/workflowDefinitions/workflowDefinition/{workflowDefinitionId}/configurationStartFormData

Get all possible workflow start events

get

Returns all possible workflow start events, including event name and description

Authorizations
AuthorizationstringRequired
Responses
200

All possible workflow start events with name and description

application/json

Describes workflow start event with human-readable name and description.

eventTypestring · enumOptional

The event type identifier

Possible values:
namestringOptional

The event type name

descriptionstringOptional

The event type description

get/workflowDefinitions/startEvents

Get start form data.

get

Returns the task start form data of the workflow definition with the specified ID.

Authorizations
AuthorizationstringRequired
Path parameters
workflowDefinitionIdstring · uuidRequired

The ID of the workflow definition that should be used for the form data retrieval.

Query parameters
formPropertyTypestringOptional

The form type to be returned.

Responses
200

The start form data for workflow definition.

application/json
formKeystringOptional

The form key.

processIdstringOptional
get/workflowDefinitions/workflowDefinition/{workflowDefinitionId}/startFormData

Get workflow definition.

get

Returns the workflow definition with the specified process ID.

Authorizations
AuthorizationstringRequired
Path parameters
processIdstringRequired

The process ID of the workflow definition.

Responses
200

The workflow definition successfully found.

application/json

Definition of a workflow. It contains the workflow logic, code, configuration and is usually represented by a diagram or a .bpmn file.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
processIdstringOptional

The id that uniquely identifies a workflow definition in the application.

It is present in the BPMN notation in the ID property of the '<process..' tag. Deploying a BPMN in DGC creates a new version if a process with the same ID already exists.

startLabelstringOptional

The label used for starting this workflow.

formRequiredbooleanOptional

Whether the start event for this workflow requires user interaction through a form or not.

startFormKeyAvailablebooleanOptionalDeprecated

This field will be removed in the future. Please, use 'startFormJsonModelAvailable' to recognize if start form model is available.

startFormJsonModelAvailablebooleanOptional

Whether the workflow has the start form json model available or not. If true, then the external form definition for this task is needed to render the task.

enabledbooleanOptional

Whether workflow is enabled or not.

A workflow has to be enabled for a user to be able to start a workflow. A workflow is enabled if it's status is put on the status 'enabled'

businessItemResourceTypestring · enumOptionalDeprecated

The type of business item that the workflow can refer to.This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the WorkflowBusinessItemType enum with a String. For new types of resources that are supported by workflows, businessItemResourceType will be GLOBAL. Please use the businessItemDiscriminator property instead.

Possible values:
businessItemDiscriminatorstringOptional

The resource discriminator that the workflow can refer to. The value can be one of : ASSET, DOMAIN, COMMUNITY, USER or GLOBAL

Example: COMMUNITY
exclusivitystring · enumOptional

The exclusivity of this workflow. This determines how many times a workflow can be started for a specific resource.

Possible values:
guestUserAccessiblebooleanOptional

Whether this workflow definition is guest user accessible.

registeredUserAccessiblebooleanOptional

Whether the workflow definition is accessible by any registered user.

candidateUserCheckEnabledbooleanOptional

Whether the candidate user check for this workflow is enabled.

globalCreatebooleanOptional

Whether the workflow is accessible from the global create menu.

get/workflowDefinitions/process/{processId}

Get process diagram.

get

Returns the process diagram of the workflow definition with the specified ID. The diagram input stream returned can be null as deployed workflow definitions without graphical notation included do not have a diagram.

Authorizations
AuthorizationstringRequired
Path parameters
workflowDefinitionIdstring · uuidRequired

The ID of the workflow definition.

Responses
200

The workflow definition diagram successfully found.

No content

get/workflowDefinitions/{workflowDefinitionId}/diagram

No content

Get XML of workflow definition.

get

Returns the XML source of the workflow definition with the specified ID.

Authorizations
AuthorizationstringRequired
Path parameters
workflowDefinitionIdstring · uuidRequired

The ID of the workflow definition.

Responses
200

The workflow definition XML successfully found.

application/xml
get/workflowDefinitions/{workflowDefinitionId}/xml

Remove assignment rule.

delete

Removes the assignment rule with the specified ID from the workflow definition with the specified ID.

Authorizations
AuthorizationstringRequired
Path parameters
workflowDefinitionIdstring · uuidRequired

The ID of the workflow definition.

ruleIdstring · uuidRequired

The ID of the assignment rule.

Responses
200

Assignment rule has been removed.

No content

delete/workflowDefinitions/{workflowDefinitionId}/assignmentRules/{ruleId}

No content

Remove multiple workflow definitions.

post

Removes multiple workflow definitions asynchronously. The workflow definition(s) will be completely removed from the application, including any history.

Authorizations
AuthorizationstringRequired
Bodystring · uuid[]
string · uuid[]Optional
Responses
200

The job for removal workflow definitions has been created.

application/json

Represents a job. Job is a single atomic task that is to be performed asynchronously

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
typestringOptional

The type of the job.

Example: IMPORT
userIdstring · uuidOptional

The ID of the user that initiated this job.

visibilityinteger · int32Optional

The visibility of the job.

progressPercentagenumber · doubleOptional

The progress percentage of the job.

Example: 50
cancelablebooleanOptional

Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.

startDateinteger · int64Optional

The start date of the job.

Example: 1488016800
endDateinteger · int64Optional

The end date of the job.

Example: 1488021800
statestring · enumOptional

The state of the job.

Example: COMPLETEDPossible values:
resultstring · enumOptional

The result of the job.

Example: SUCCESSPossible values:
messagestringOptional

The message of the job.

Example: Import finished in 12s.
post/workflowDefinitions/removalJobs

Last updated

Was this helpful?